Skip to content

Invite an address via Ethos Everywhere wallet

POST
/wallets/privy/invite/address
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/invite/address \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "invitee": "example", "waitForTxTimeoutSeconds": 5 }'

Invites an address to Ethos using the user’s Ethos Everywhere wallet. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

Media typeapplication/json
object
invitee
required

Ethereum address (0x-prefixed, 20 bytes)

string
waitForTxTimeoutSeconds

Timeout in seconds to wait for the transaction to be processed by Ethos. Defaults to 5 seconds. Set to 0 to skip waiting.

number
default: 5

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
processed
required

Whether the invitation transaction has been received & processed by Ethos.

boolean

Example generated

{
"hash": "example",
"processed": true
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}